{% extends "layout.twig" %}
{#{% set isAuth = 1 %}#}
{% block head %}
    <title>App | Home</title>
{% endblock %}

{% block title %}
    Profile
{% endblock %}

{% block content %}

    <div class="uk-flex uk-flex-center">
        <p><b>Email:</b> {{ username }}</p>
    </div>
    <div class="uk-flex uk-flex-center">
        <h4>Change password</h4>
    </div>
    <div class="uk-flex uk-flex-center">
        <form method="post" action="{{ path_for('profile.post') }}">
            <div class="uk-margin">
                <div class="uk-inline uk-width-1-1">

                    <label class="uk-form-label" for="old_password">Old password</label>
                    <input id="old_password" class="uk-input" name="old_password" placeholder="password" type="password">
                </div>
            </div>
            <div class="uk-margin">
                <div class="uk-inline uk-width-1-1">
{#                    <span class="uk-form-icon" uk-icon="icon: lock"></span>#}

                    <label class="uk-form-label" for="new_password">New password</label>
                    <input id="new_password" class="uk-input" name="new_password" placeholder="new_password" type="password">
                </div>
            </div>
            <div class="uk-margin">
                <div class="uk-inline uk-width-1-1">
                    <label class="uk-form-label" for="password_repeat">New password repeat</label>
                    <input id="password_repeat" class="uk-input" name="password_repeat" placeholder="password_repeat" type="password">
                </div>
            </div>

            <input type="hidden" name="{{ csrf.keys.name }}" value="{{ csrf.name }}">
            <input type="hidden" name="{{ csrf.keys.value }}" value="{{ csrf.value }}">
            <button class="uk-button uk-button-default">Submit</button>
        </form>
    </div>
{% endblock %}

{% block msg%}
    {% if has_error('old_password') or has_error('new_password') or has_error('password_repeat') %}
        <div class="uk-alert-danger" uk-alert>
            <a class="uk-alert-close" uk-close></a>
            <h3>Error</h3>
            <p>{{ get_error('old_password') }}</p>
            <p>{{ get_error('new_password') }}</p>
            <p>{{ get_error('password_repeat') }}</p>
        </div>
    {% endif %}

    {% if success_msg is defined %}
            <div class="uk-alert-success" uk-alert>
                <a class="uk-alert-close" uk-close></a>
                {% if success_title is defined %}
                    <h3>{{ success_title }}</h3>
                {% else %}
                    <h3>Success</h3>
                {% endif %}
                <p>{{ success_msg }}</p>
            </div>
    {% endif %}
{% endblock%}